Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.colorspace
Class YCCKColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          com.sun.pdfview.colorspace.YCCKColorSpace

All Implemented Interfaces:
  java.io.Serializable

    public class YCCKColorSpace

extends java.awt.color.ColorSpace

A ColorSpace for the YCCK color space. This color space converts to CMYK and then uses an existing CMYK color space to convert from CMYK to RGB. This allows embedded CMYK color profiles to be used with YCCK images. If no CMYK color space is provided then by default it uses a CMYKColorSpace. Only toRGB is supported.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`YCCKColorSpace()`
`YCCKColorSpace(java.awt.color.ColorSpace existingCmykColorSpace)` create a new YCCK color space: a ColorSpace with 4 components

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)` Convert from CIEXYZ to RGB.
`float[]` | `fromRGB(float[] rgbvalue)` Convert from RGB to YCCK.
`java.lang.String` | `getName(int idx)` the name of this color space
`int` | `getNumComponents()` the number of components
`int` | `getType()` the type of this color space (TYPE_4CLR)
`float[]` | `toCIEXYZ(float[] colorvalue)` Convert from YCCK to CIEXYZ.
`float[]` | `toRGB(float[] colorvalue)` Convert from YCCK to RGB.

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YCCKColorSpace

    public YCCKColorSpace(java.awt.color.ColorSpace existingCmykColorSpace)

  create a new YCCK color space: a ColorSpace with 4 components

### YCCKColorSpace

    public YCCKColorSpace()

Method Detail

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Convert from CIEXYZ to RGB. NOT IMPLEMENTED

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Convert from RGB to YCCK. NOT IMPLEMENTED

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `rgbvalue` - the red, green, and blue values (0-1)
  Returns:
    the YCCK values (0-1)

### getNumComponents

    public int getNumComponents()

  the number of components

  Overrides:
    `getNumComponents` in class `java.awt.color.ColorSpace`

### getName

    public java.lang.String getName(int idx)

  the name of this color space

  Overrides:
    `getName` in class `java.awt.color.ColorSpace`

### getType

    public int getType()

  the type of this color space (TYPE_4CLR)

  Overrides:
    `getType` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Convert from YCCK to CIEXYZ. NOT IMPLEMENTED

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Convert from YCCK to RGB.

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `colorvalue` - the YCCK values (0-1)
  Returns:
    the RGB values (0-1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD